package bean;

import java.sql.Date;

import org.joda.time.DateTime;

public class AppVariables {

	private String verGlogal;
	private String verPrefissoXML;
	private String verProvenienzaDisposizione;
	private String verFunzioneOrdinante;
	private String AuthenticationMode;
	
	private String userId;
	private String guid;
	private String denominazioneUtente;
	private String codiceFiscaleUtente;
	private String profiloLocale;
	private String funzioneOrdinante;
	private String codiceSocieta;
	private String codiceFunzione;
	private String userIDResponsabile1;
	private String userIDResponsabile2;
	private String emailResponsabile;
	private Double importoLimiteFirma;
	private DateTime decorrenzaPassword;
	private Integer idOrdinante;
	private String denominazioneOrdinante;
	private boolean abilitaBonifici;
	private boolean abilitaBonificiEsteri;
	private boolean abilitaAEA;
	private boolean abilitaAEA_Iban;
	private boolean abilitaRID;
	private boolean abilitaVisualizzazioneGlobaleDisposizioni;
	private boolean abilitaAccessoAnagrafica;
	private boolean abilitaApprovazioneMassiva;
	private boolean bloccoModificaDisposizioni;
	private boolean abilitaForzaturaSospeso;
	private boolean delegheBancoPostaSuCircuitoBancario; 
	private boolean abilitaCausale;
	private boolean gestioneDatiContabili;
	private boolean approvazioneAutomatica;
	private boolean abilitaGiroconti;
	private boolean abilitaCircuitoCassa;
	private boolean abilitaCircuitoPoste;
	private boolean delegheBancoPostaSuCircuitoBancari;
	
	
	
	public AppVariables() {
		//Findomestic
		 this.verGlogal = "Findomestic";
		 verPrefissoXML = "FIN";
		 verProvenienzaDisposizione = "Findomest";
		 verFunzioneOrdinante = "FINDOM";
		 AuthenticationMode = "SSO";		
		 guid = "";
	}

	public String getVerGlogal() {
		return verGlogal;
	}

	public void setVerGlogal(String verGlogal) {
		this.verGlogal = verGlogal;
	}

	public String getVerPrefissoXML() {
		return verPrefissoXML;
	}

	public void setVerPrefissoXML(String verPrefissoXML) {
		this.verPrefissoXML = verPrefissoXML;
	}

	public String getVerProvenienzaDisposizione() {
		return verProvenienzaDisposizione;
	}

	public void setVerProvenienzaDisposizione(String verProvenienzaDisposizione) {
		this.verProvenienzaDisposizione = verProvenienzaDisposizione;
	}

	public String getVerFunzioneOrdinante() {
		return verFunzioneOrdinante;
	}

	public void setVerFunzioneOrdinante(String verFunzioneOrdinante) {
		this.verFunzioneOrdinante = verFunzioneOrdinante;
	}

	public String getAuthenticationMode() {
		return AuthenticationMode;
	}

	public void setAuthenticationMode(String authenticationMode) {
		AuthenticationMode = authenticationMode;
	}

	public String getGuid() {
		return guid;
	}

	public void setGuid(String guid) {
		this.guid = guid;
	}

	public String getDenominazioneUtente() {
		return denominazioneUtente;
	}

	public void setDenominazioneUtente(String denominazioneUtente) {
		this.denominazioneUtente = denominazioneUtente;
	}

	public String getCodiceFiscaleUtente() {
		return codiceFiscaleUtente;
	}

	public void setCodiceFiscaleUtente(String codiceFiscaleUtente) {
		this.codiceFiscaleUtente = codiceFiscaleUtente;
	}

	public String getProfiloLocale() {
		return profiloLocale;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public void setProfiloLocale(String profiloLocale) {
		this.profiloLocale = profiloLocale;
	}

	public String getFunzioneOrdinante() {
		return funzioneOrdinante;
	}

	public void setFunzioneOrdinante(String funzioneOrdinante) {
		this.funzioneOrdinante = funzioneOrdinante;
	}

	public String getCodiceSocieta() {
		return codiceSocieta;
	}

	public void setCodiceSocieta(String codiceSocieta) {
		this.codiceSocieta = codiceSocieta;
	}

	public String getCodiceFunzione() {
		return codiceFunzione;
	}

	public void setCodiceFunzione(String codiceFunzione) {
		this.codiceFunzione = codiceFunzione;
	}

	public String getUserIDResponsabile1() {
		return userIDResponsabile1;
	}

	public void setUserIDResponsabile1(String userIDResponsabile1) {
		this.userIDResponsabile1 = userIDResponsabile1;
	}

	public String getUserIDResponsabile2() {
		return userIDResponsabile2;
	}

	public void setUserIDResponsabile2(String userIDResponsabile2) {
		this.userIDResponsabile2 = userIDResponsabile2;
	}

	public String getEmailResponsabile() {
		return emailResponsabile;
	}

	public void setEmailResponsabile(String emailResponsabile) {
		this.emailResponsabile = emailResponsabile;
	}

	public Double getImportoLimiteFirma() {
		return importoLimiteFirma;
	}

	public void setImportoLimiteFirma(Double importoLimiteFirma) {
		this.importoLimiteFirma = importoLimiteFirma;
	}

	public DateTime getDecorrenzaPassword() {
		return decorrenzaPassword;
	}

	public void setDecorrenzaPassword(DateTime decorrenzaPassword) {
		this.decorrenzaPassword = decorrenzaPassword;
	}

	public Integer getIdOrdinante() {
		return idOrdinante;
	}

	public void setIdOrdinante(Integer idOrdinante) {
		this.idOrdinante = idOrdinante;
	}

	public String getDenominazioneOrdinante() {
		return denominazioneOrdinante;
	}

	public void setDenominazioneOrdinante(String denominazioneOrdinante) {
		this.denominazioneOrdinante = denominazioneOrdinante;
	}

	public boolean isAbilitaBonifici() {
		return abilitaBonifici;
	}

	public void setAbilitaBonifici(boolean abilitaBonifici) {
		this.abilitaBonifici = abilitaBonifici;
	}

	public boolean isAbilitaBonificiEsteri() {
		return abilitaBonificiEsteri;
	}

	public void setAbilitaBonificiEsteri(boolean abilitaBonificiEsteri) {
		this.abilitaBonificiEsteri = abilitaBonificiEsteri;
	}

	public boolean isAbilitaAEA() {
		return abilitaAEA;
	}

	public void setAbilitaAEA(boolean abilitaAEA) {
		this.abilitaAEA = abilitaAEA;
	}

	public boolean isAbilitaAEA_Iban() {
		return abilitaAEA_Iban;
	}

	public void setAbilitaAEA_Iban(boolean abilitaAEA_Iban) {
		this.abilitaAEA_Iban = abilitaAEA_Iban;
	}

	public boolean isAbilitaRID() {
		return abilitaRID;
	}

	public void setAbilitaRID(boolean abilitaRID) {
		this.abilitaRID = abilitaRID;
	}

	public boolean isAbilitaVisualizzazioneGlobaleDisposizioni() {
		return abilitaVisualizzazioneGlobaleDisposizioni;
	}

	public void setAbilitaVisualizzazioneGlobaleDisposizioni(boolean abilitaVisualizzazioneGlobaleDisposizioni) {
		this.abilitaVisualizzazioneGlobaleDisposizioni = abilitaVisualizzazioneGlobaleDisposizioni;
	}

	public boolean isAbilitaAccessoAnagrafica() {
		return abilitaAccessoAnagrafica;
	}

	public void setAbilitaAccessoAnagrafica(boolean abilitaAccessoAnagrafica) {
		this.abilitaAccessoAnagrafica = abilitaAccessoAnagrafica;
	}

	public boolean isAbilitaApprovazioneMassiva() {
		return abilitaApprovazioneMassiva;
	}

	public void setAbilitaApprovazioneMassiva(boolean abilitaApprovazioneMassiva) {
		this.abilitaApprovazioneMassiva = abilitaApprovazioneMassiva;
	}

	public boolean isBloccoModificaDisposizioni() {
		return bloccoModificaDisposizioni;
	}

	public void setBloccoModificaDisposizioni(boolean bloccoModificaDisposizioni) {
		bloccoModificaDisposizioni = bloccoModificaDisposizioni;
	}

	public boolean isAbilitaForzaturaSospeso() {
		return abilitaForzaturaSospeso;
	}

	public void setAbilitaForzaturaSospeso(boolean abilitaForzaturaSospeso) {
		this.abilitaForzaturaSospeso = abilitaForzaturaSospeso;
	}

	public boolean isDelegheBancoPostaSuCircuitoBancario() {
		return delegheBancoPostaSuCircuitoBancario;
	}

	public void setDelegheBancoPostaSuCircuitoBancario(boolean delegheBancoPostaSuCircuitoBancario) {
		this.delegheBancoPostaSuCircuitoBancario = delegheBancoPostaSuCircuitoBancario;
	}

	public boolean isAbilitaCausale() {
		return abilitaCausale;
	}

	public void setAbilitaCausale(boolean abilitaCausale) {
		this.abilitaCausale = abilitaCausale;
	}

	public boolean isGestioneDatiContabili() {
		return gestioneDatiContabili;
	}

	public void setGestioneDatiContabili(boolean gestioneDatiContabili) {
		this.gestioneDatiContabili = gestioneDatiContabili;
	}

	public boolean isApprovazioneAutomatica() {
		return approvazioneAutomatica;
	}

	public void setApprovazioneAutomatica(boolean approvazioneAutomatica) {
		this.approvazioneAutomatica = approvazioneAutomatica;
	}

	public boolean isAbilitaGiroconti() {
		return abilitaGiroconti;
	}

	public void setAbilitaGiroconti(boolean abilitaGiroconti) {
		this.abilitaGiroconti = abilitaGiroconti;
	}

	public boolean isAbilitaCircuitoCassa() {
		return abilitaCircuitoCassa;
	}

	public void setAbilitaCircuitoCassa(boolean abilitaCircuitoCassa) {
		this.abilitaCircuitoCassa = abilitaCircuitoCassa;
	}

	public boolean isAbilitaCircuitoPoste() {
		return abilitaCircuitoPoste;
	}

	public void setAbilitaCircuitoPoste(boolean abilitaCircuitoPoste) {
		this.abilitaCircuitoPoste = abilitaCircuitoPoste;
	}

	public boolean isDelegheBancoPostaSuCircuitoBancari() {
		return delegheBancoPostaSuCircuitoBancari;
	}

	public void setDelegheBancoPostaSuCircuitoBancari(boolean delegheBancoPostaSuCircuitoBancari) {
		this.delegheBancoPostaSuCircuitoBancari = delegheBancoPostaSuCircuitoBancari;
	}

	
}
